Pterodactyldocs
Client A P I

Get server

Returns details for one server the authenticated user can access.

GET/api/client/servers/{server_uuid}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe"
{  "object": "server",  "attributes": {    "server_owner": false,    "identifier": "dmjkuwbo",    "__deprecated_uuid_short": "dmjkuwbo",    "server_identifier": "serv_1a2b3c4d",    "internal_id": 8117,    "uuid": "b4775bce-7333-4ebc-aa89-115fb04a9d51",    "name": "Leo",    "node": "FactoryNode_bbRqrPBYOG",    "is_node_under_maintenance": false,    "sftp_details": {      "ip": "246.107.107.140",      "port": 2022    },    "description": "Survival world",    "limits": {      "memory": 512,      "swap": 0,      "disk": 512,      "io": 500,      "cpu": 0,      "threads": "1,2",      "oom_disabled": false    },    "invocation": "/bin/bash echo \"hello world\"",    "docker_image": "foo/bar:latest",    "egg_features": [      "eula"    ],    "feature_limits": {      "databases": 5,      "allocations": 5,      "backups": 5    },    "status": null,    "is_suspended": false,    "is_installing": false,    "is_transferring": false,    "relationships": {      "allocations": {        "object": "list",        "data": [          {            "object": "allocation",            "attributes": {              "id": 9834,              "ip": "54.95.112.197",              "ip_alias": "string",              "port": 8189,              "notes": "Primary game port",              "is_default": false            }          }        ]      },      "variables": {        "object": "list",        "data": [          {            "object": "egg_variable",            "attributes": {              "name": "Leo",              "description": "Et modi ipsum nostrum omnis autem et consequatur.",              "env_variable": "AUT_DOLORES",              "default_value": "OldLace",              "server_value": "string",              "is_editable": true,              "rules": "required|string"            },            "meta": {              "startup_command": "java -Xms128M -Xmx1024M -jar paper.jar",              "raw_startup_command": "java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}"            }          }        ],        "meta": {          "startup_command": "java -Xms128M -Xmx1024M -jar paper.jar",          "docker_images": {            "Java 23": "ghcr.io/pterodactyl/yolks:java_23"          },          "raw_startup_command": "java -Xms128M -Xmx{{SERVER_MEMORY}}M -jar {{SERVER_JARFILE}}"        }      }    }  },  "meta": {    "is_server_owner": true,    "user_permissions": [      "websocket.connect"    ]  }}